rpm: Data Fields

rpm 4.19.1.1 The RPM Package Manager

Loading...
Searching...
No Matches
Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - a -

- algo : pgpPktPubkey_s

### - b -

- begin : rpmop_s
- buildAmount : rpmBuildArguments_s
- buildRootOverride : rpmBuildArguments_s
- bytes : rpmop_s

### - c -

- cdata : pgpPktPre_u
- cookie : rpmBuildArguments_s
- count : rpmop_s, rpmtd_s

### - d -

- data : rpmtd_s

### - e -

- edata : pgpPktPre_u

### - f -

- flags : rpmtd_s

### - h -

- hash_algo : pgpPktOnepass_s, pgpPktSigV3_s, pgpPktSigV4_s
- hashalgo : rpmSignArgs
- hashlen : pgpPktSigV3_s, pgpPktSigV4_s

### - i -

- ix : rpmtd_s

### - k -

- key : pgpPktPre_u
- keyid : pgpPktPubkey_s, rpmSignArgs

### - l -

- ldata : pgpPktPre_u

### - n -

- newPath : rpmRelocation_s

### - o -

- oldPath : rpmRelocation_s
- onepass : pgpPktPre_u

### - p -

- pkgFlags : rpmBuildArguments_s
- pubkey : pgpPktPre_u
- pubkey_algo : pgpPktKeyV3_s, pgpPktKeyV4_s, pgpPktOnepass_s, pgpPktSigV3_s, pgpPktSigV4_s

### - q -

- qva_excattr : rpmQVKArguments_s
- qva_flags : rpmQVKArguments_s
- qva_incattr : rpmQVKArguments_s
- qva_mode : rpmQVKArguments_s
- qva_ofvattr : rpmQVKArguments_s
- qva_queryFormat : rpmQVKArguments_s
- qva_showPackage : rpmQVKArguments_s
- qva_source : rpmQVKArguments_s
- qva_sourceCount : rpmQVKArguments_s
- qva_specQuery : rpmQVKArguments_s

### - s -

- sig : pgpPktPre_u
- signflags : rpmSignArgs
- signhash16 : pgpPktSigV3_s
- signid : pgpPktOnepass_s, pgpPktSigV3_s
- sigtype : pgpPktOnepass_s, pgpPktSigV3_s, pgpPktSigV4_s
- size : rpmtd_s
- symkey : pgpPktPre_u

### - t -

- tag : rpmtd_s
- tdata : pgpPktPre_u
- time : pgpPktKeyV3_s, pgpPktKeyV4_s, pgpPktSigV3_s
- type : rpmtd_s

### - u -

- u : rpmsw_s
- uid : pgpPktPre_u
- usecs : rpmop_s

### - v -

- valid : pgpPktKeyV3_s
- version : pgpPktKeyV3_s, pgpPktKeyV4_s, pgpPktOnepass_s, pgpPktPubkey_s, pgpPktSigV3_s, pgpPktSigV4_s, pgpPktSymkey_s